Subject: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

From: "Jon Shallow" <[email-masked]>
Date: Wed, 5 Sep 2018 11:26:39 +0100

Hi There,

When there is a manual configuration on the DOTS server of an alias by an
operator, not created by the DOTS client, what should happen if the DOTS
client tries to delete the alias?

The DOTS client will see the alias in a GET request for all aliases (as it
is entitled to use it)

Returning a 404 (Not Found) could be confusing

Returning a 204 (No Content) is not right as it has not been deleted per se.

Should the alias in the GET response be marked as permanent (or some
equivalent)?

The same is true for ACLs

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Wed, 5 Sep 2018 10:37:51 +0000

Manual configuration creates conflicts with the DOTS protocols (just like the conflicts network devices would face if configured using both SDN and manual configuration) and I guess should be avoided.

-Tiru

From: Dots <[email-masked]> On Behalf Of Jon Shallow
Sent: Wednesday, September 5, 2018 3:57 PM
To: [email-masked]
Subject: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

CAUTION: External email. Do not click links or open attachments unless you recognize the sender and know the content is safe.

________________________________
Hi There,

When there is a manual configuration on the DOTS server of an alias by an operator, not created by the DOTS client, what should happen if the DOTS client tries to delete the alias?

The DOTS client will see the alias in a GET request for all aliases (as it is entitled to use it)

Should the alias in the GET response be marked as permanent (or some equivalent)?

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Wed, 5 Sep 2018 13:05:14 +0100

Hi Tiru,

Unfortunately, manual / direct configuration is supported in the architecture draft, so cannot just be avoided.  

SIG-007

….

      DOTS agents MUST support mitigation scope aliases, allowing DOTS

      client and server to refer to collections of protected resources

      by an opaque identifier created through the data channel, direct

      configuration, or other means.

I agree with there being potential confusion when things are configured in multiple places, and troubleshooting  can get complicated.

I think we need a way of reflecting back to the DOTS client what is happening.

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 05 September 2018 11:38
To: Jon Shallow; [email-masked]
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Wed, 5 Sep 2018 13:01:22 +0000

Hi Jon,

It looks like an oversight to me. If multiple modes of configuration is supported for aliases, it’s a troubleshooting nightmare, could lead to race condition and inconsistent configuration, and as you know one the goals of DOTS is to avoid manual configuration.

-Tiru

From: Jon Shallow <[email-masked]>
Sent: Wednesday, September 5, 2018 5:35 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

SIG-007
….

Regards

Jon

From: Dots [mailto: [email-masked]<mailto:[email-masked]>] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 05 September 2018 11:38
To: Jon Shallow; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

-Tiru

From: Dots <[email-masked]<mailto:[email-masked]>> On Behalf Of Jon Shallow
Sent: Wednesday, September 5, 2018 3:57 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Wed, 5 Sep 2018 14:19:03 +0100

Hi Tiru,

I meant the draft requirements document (and for some reason looking at an old draft (not the -15 version )) – I guess that this text needs to get updated then to remove the possibility of manual / direct configurations.

SIG-008

….

Old

SIG-008

….

New:

      clients and servers to refer to collections of protected resources

      by an opaque identifier created through the data channel.

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 05 September 2018 14:01
To: Jon Shallow; [email-masked]
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Wed, 5 Sep 2018 13:44:10 +0000

We meant DOTS client either uses data channel or direct configuration to create the aliases but not use both. It was discussed in the WG sometime back that DOTS client may or may not use DOTS data channel to create aliases and hence direct configuration got added but both modes are mutually exclusive.

-Tiru

From: Jon Shallow <[email-masked]>
Sent: Wednesday, September 5, 2018 6:49 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; Mortensen, Andrew <[email-masked]>
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

From: Jon Shallow <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, September 5, 2018 5:35 PM
To: Konda, Tirumaleswar Reddy <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Wed, 5 Sep 2018 14:57:57 +0100

Hi Tiru,

I guess I missed / don’t currently recall that WG discussion (but can see the merit in having a standard set of aliases available to the DOTS clients which are just configured on the DOTS server).  I am trying to think of how the DOTS client configures directly without the data channel, but am failing to come up with how to do that without, say,  the operator doing it directly on the DOTS server.  “or other means” gets even more confusing.

I agree that directly/data channel methods are potentially mutually exclusive, but then the DOTS client/DOTS server need to negotiate which exclusive method to use…

It may just be simpler to drop a small amount of text.

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 05 September 2018 14:44
To: Jon Shallow; [email-masked]; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

-Tiru

  _____  

Hi Tiru,

SIG-008

….

Old

SIG-008

….

New:

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Thu, 6 Sep 2018 08:51:46 +0000

Hi Jon,

Direct configuration is possible when the DOTS client and server are in the same domain.

-Tiru

From: Jon Shallow <[email-masked]>
Sent: Wednesday, September 5, 2018 7:28 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; Mortensen, Andrew <[email-masked]>
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Regards

Jon

From: Dots [mailto: [email-masked]<mailto:[email-masked]>] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 05 September 2018 14:44
To: Jon Shallow; [email-masked]<mailto:[email-masked]>; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

-Tiru

From: Jon Shallow <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, September 5, 2018 6:49 PM
To: Konda, Tirumaleswar Reddy <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Mortensen, Andrew <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Thu, 6 Sep 2018 10:09:28 +0100

Hi Tiru,

If that is the case (and I do not disagree with what you have said – I think it is the right thing to do to support direct configuration), then we go back to the original question (with manual replaced by direct)

How does the DOTS client know that it is trying to delete an alias that was directly configured?

This then leads to another question.  What happens if the DOTS client tries to PUT update a direct configuration?

Two use cases for consideration.

First, the direct configuration specifies the CUID.

Second, the direct configuration is CUID agnostic and applies to all DOTS clients.

[The PUT could create an alias+CUID which takes precedence over direct-alias]

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 06 September 2018 09:52
To: Jon Shallow; [email-masked]; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Hi Tiru,

SIG-008

….

Old

SIG-008

….

New:

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Thu, 6 Sep 2018 10:25:58 +0000

Hi Jon,

I thought we agreed direct configuration and DOTS data channel are mutually exclusive. If a client uses DOTS data channel, it must not perform direct configuration and vice-versa.

Cheers,
-Tiru

From: Dots <[email-masked]> On Behalf Of Jon Shallow
Sent: Thursday, September 6, 2018 2:39 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; Mortensen, Andrew <[email-masked]>
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

-Tiru

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Thu, 6 Sep 2018 13:13:12 +0100

Hi Tiru,

Yes, only one or the other method (data channel v direct) should be used.

However, both the DOTS client and DOTS server need to be configured that this is the way to do it, but then if the DOTS server is actually is a DOTS gateway, then the upstream (ultimate) DOTS server (which could be in the same domain or not) needs to be configured in the same way as the initial DOTS client.  A recipe for misconfiguration and confusion.

The DOTS client needs to be told by the (ultimate) DOTS server which method is being used / supported, and this can be in the response code (or embedded in the response message) when the client (due to misconfiguration) does an unexpected DELETE or PUT.  It could be in the GET response where the alias is marked as ‘permanent’.  

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 06 September 2018 11:26
To: Jon Shallow; [email-masked]; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Hi Jon,

Cheers,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Hi Tiru,

SIG-008

….

Old

SIG-008

….

New:

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Thu, 6 Sep 2018 14:04:30 +0000

Hi Jon,

If the ultimate DOTS server supports only direct configuration, it should reject the DOTS data channel connection from the DOTS client, for example appropriate error response code (e.g. TLS fatal alert) can be returned.  The error returned by the ultimate DOTS server can be propagated by the DOTS gateway to the DOTS client. DOTS client will eventually have to rely on direct configuration.

-Tiru

From: Jon Shallow <[email-masked]>
Sent: Thursday, September 6, 2018 5:43 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; Mortensen, Andrew <[email-masked]>
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Regards

Jon

Hi Jon,

Cheers,
-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

-Tiru

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Thu, 6 Sep 2018 15:45:42 +0100

Hi Tiru,

I guess I may be missing something here, but whatever is decided needs to go into either the data channel draft, or requirements draft for clarity on how to handle direct configuration or data channel configuration.

If we shut down the use of the Data Channel as the DOTS server is only supporting direct configurations, then this will be for both the Alias and ACL definitions.

This violates, for instance

   DATA-004  Black- and whitelist management: DOTS servers MUST provide

      methods for DOTS clients to manage black- and white-lists of

      traffic destined for resources belonging to a client.

and potentially (depending on what you understand ‘interface’ as meaning)

   DATA-003  Resource Configuration: To help meet the general and signal

      channel requirements in Section 2.1 and Section 2.2, DOTS server

      implementations MUST provide an interface to configure resource

      identifiers, as described in SIG-007.  DOTS server implementations

      MAY expose additional configurability

[By the way DATA-003 refers to SIG-007 – which should be SIG-008 – needs correcting]

Being selective on whether it is Alias or ACL before generating a TLS fatal alert is messy and not very clean.  Fatal alerts are usually used during session setup, I can’t immediately find a suitable fatal alert to use – and whatever it is would need to be defined in the data channel.

Also, propagating a TLS fatal Alert through a DOTS gateway could be interesting – especially as the downstream hop has to establish TLS to find out what to do before making the ongoing connection to the upstream DOTS agent.

Again, an additional ro YANG field such as “permanent”: true, or perhaps “directly-configured”: true for the Alias and ACL would be sufficient here for the DOTS client to work out what is going on.  Is there any reason as to why this should not be done?

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 06 September 2018 15:05
To: Jon Shallow; [email-masked]; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

Cheers,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Hi Tiru,

SIG-008

….

Old

SIG-008

….

New:

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Fri, 7 Sep 2018 05:40:06 +0000

Hi Jon,

Please see inline

From: Jon Shallow <[email-masked]>
Sent: Thursday, September 6, 2018 8:16 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; Mortensen, Andrew <[email-masked]>
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

[TR] I guess it’s too late to modify the requirements draft, but we can update the data channel draft. We can add the following lines:

DOTS server MUST not enable both DOTS data channel and direct configuration to avoid race conditions, inconsistent configurations arising from simultaneous updates from multiple sources. DOTS agents SHOULD use DOTS data channel and only use direct configuration as a stop-gap mechanism to test the DOTS signal channel with aliases. In addition, direct configuration SHOULD only be used when all the DOTS agents are within the same domain. If the DOTS server has enabled direction configuration, it can reject DOTS channel connection using hard ICMP error [RFC1122].  To interfere with the DOTS data channel, an attacker might send an ICMP error message towards the DOTS client.  The counter-measures discussed in [RFC5927] can be used to guard against ICMP attacks.

[TR] Yes, and direct configuration is not the recommended approach. It’s just a stop-gap mechanism to test DOTS signal channel without data channel.

[TR] Yes, will fix in the next revision.

[TR] If a server enables direct configuration as a stop gap, I don’t see a point running the server just to return errors, ICMP error should suffice.

[TR] I don’t think it’s a good idea to enhance the YANG module to convey/modify direction configuration, I don’t see any such provision and discussion in NETFCONF and RESTCONF.

-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

Hi Jon,

Cheers,
-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

-Tiru

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Fri, 7 Sep 2018 10:02:18 +0100

Hi Tiru,

I believe that we are getting towards closure on this one.

See inline Jon>

Regards

Jon

From: Dots [mailto:[email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 07 September 2018 06:40
To: Jon Shallow; [email-masked]; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Hi Jon,

Please see inline

  _____  

Hi Tiru,

DOTS server MUST not enable both DOTS data channel and direct configuration to avoid race conditions, inconsistent configurations arising from simultaneous updates from multiple sources. DOTS agents SHOULD use DOTS data channel and only use direct configuration as a stop-gap mechanism to test the DOTS signal channel with aliases. In addition, direct configuration SHOULD only be used when all the DOTS agents are within the same domain. If the DOTS server has enabled direction configuration,

Jon> “direct configuration”, not “direction configuration”

it can reject DOTS channel connection using hard ICMP error [RFC1122].  To interfere with the DOTS data channel, an attacker might send an ICMP error message towards the DOTS client.  The counter-measures discussed in [RFC5927] can be used to guard against ICMP attacks.

Jon> ICMP is a bad mechanism to use – it can be blocked by firewalls, not easy to access in an application on a TCP connection, difficult to pass through a DOTS gateway etc.  If the server is not accepting connections, then a TCP RST is passed back – much simpler to handle.  So, for me, a better text could be

it can reject the DOTS channel connection by not listening on the data channel port, or by sending back a 503 status code.

Jon> Again, it would be a RST, not ICMP if the server was not running / listening on the port in question.

Jon> OK.  The TCP RST (or perhaps 503 response) works for me.

~Jon

-Tiru

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

Cheers,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Hi Tiru,

SIG-008

….

Old

SIG-008

….

New:

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Fri, 7 Sep 2018 10:56:16 +0000

Hi Jon,

Please see inline [TR2]

From: Dots <[email-masked]> On Behalf Of Jon Shallow
Sent: Friday, September 7, 2018 2:32 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; [email-masked]; Mortensen, Andrew <[email-masked]>
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

[TR2] Yes.

See inline Jon>

Regards

Jon

Hi Jon,

Please see inline

[TR2] Thanks, will fix.

it can reject DOTS channel connection using hard ICMP error [RFC1122].  To interfere with the DOTS data channel, an attacker might send an ICMP error message towards the DOTS client.  The counter-measures discussed in [RFC5927] can be used to guard against ICMP attacks.
Jon> ICMP is a bad mechanism to use – it can be blocked by firewalls, not easy to access in an application on a TCP connection, difficult to pass through a DOTS gateway etc.

[TR2] TCP must act on the ICMP error messages (see  https://tools.ietf.org/html/rfc5461#section-2.2<https://www.ietf.org/rfc/rfc1122.txt>), NAT/firewalls do permit inbound ICMP errors (you may want to look into the example given in https://tools.ietf.org/html/rfc5508#section-4.2). If all the DOTS agents are in the same domain, they would be typically behind NAT and firewall.

If the server is not accepting connections, then a TCP RST is passed back – much simpler to handle.  So, for me, a better text could be
it can reject the DOTS channel connection by not listening on the data channel port, or by sending back a 503 status code.

[TR2] 503 status code looks more suitable and will be an authentic message, TCP RST is abrupt and does not provide any diagnostic information.
NEW:
If the DOTS server has enabled direct configuration, it can reject the DOTS data channel connection using hard ICMP error [RFC 1122] or reject the RESTCONF request using an error response containing a “503 Service Unavailable” status-line.

-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

Hi Jon,

Cheers,
-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

-Tiru

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon

---

From: "Jon Shallow" <[email-masked]>
Date: Fri, 7 Sep 2018 13:16:08 +0100

Hi Tiru,

See inline Jon1>

Regards

Jon

From: Dots [mailto: [email-masked]] On Behalf Of Konda, Tirumaleswar Reddy
Sent: 07 September 2018 11:56
To: Jon Shallow; [email-masked]; Mortensen, Andrew
Subject: Re: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

Hi Jon,

Please see inline [TR2]

  _____  

Hi Tiru,

[TR2] Yes. 

See inline Jon>

Regards

Jon

Hi Jon,

Please see inline

  _____  

Hi Tiru,

[TR2] Thanks, will fix. 

[TR2] TCP must act on the ICMP error messages (see  <https://www.ietf.org/rfc/rfc1122.txt>  https://tools.ietf.org/html/rfc5461#section-2.2), NAT/firewalls do permit inbound ICMP errors (you may want to look into the example given in https://tools.ietf.org/html/rfc5508#section-4.2). If all the DOTS agents are in the same domain, they would be typically behind NAT and firewall.

Jon1> TCP does – “Connection Refused” on the hard ICMP errors when doing connect(), but getting to the actual ICMP packet is more of a challenge.  RFCs say that the ICMP error must be passed back – a lot of people misconfigure this on firewalls etc. as they perceive this to be a bad thing, or do not properly understand how IP works.

NEW:

Jon1> In my real world experience of TCP, the most usual rejection of a TCP connection is the use of the RST flag bit when the server is not listening on that particular port.  ICMP response is usually triggered by (Linux) using iptables ‘–j REJECT’ (and I don’t think the hard errors can tell you anything more useful than a RST).  So, to be a bit more general

Jon1>NEW:

If the DOTS server has enabled direct configuration, it can reject the DOTS data channel connection using hard ICMP error [RFC 1122], a TCP packet with the RST control bit set[RFC 793] or reject the RESTCONF request using an error response containing a “503 Service Unavailable” status-line.

~jon1

-Tiru

~Jon

-Tiru

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

Cheers,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

Regards

Jon

-Tiru

  _____  

Hi Tiru,

SIG-008

….

Old

SIG-008

….

New:

Regards

Jon

Hi Jon,

-Tiru

  _____  

Hi Tiru,

SIG-007

….

Regards

Jon

-Tiru

  _____  

Hi There,

Regards

Jon

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Sat, 8 Sep 2018 11:52:49 +0000

Thanks, Jon. Your proposed text looks good to me.

Cheers,
-Tiru

From: Jon Shallow <[email-masked]>
Sent: Friday, September 7, 2018 5:46 PM
To: Konda, Tirumaleswar Reddy <[email-masked]>; Mortensen, Andrew <[email-masked]>; [email-masked]
Subject: RE: [Dots] Data Channel - Deletion of Aliases when manually configured on DOTS Server

See inline Jon1>

Regards

Jon

Hi Jon,

Please see inline [TR2]

[TR2] Yes.

See inline Jon>

Regards

Jon

Hi Jon,

Please see inline

[TR2] Thanks, will fix.

~jon1

-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

Hi Jon,

Cheers,
-Tiru

Regards

Jon

Hi Jon,

-Tiru

Regards

Jon

-Tiru

SIG-008
….
Old

SIG-008
….
New:

Regards

Jon

Hi Jon,

-Tiru

SIG-007
….

Regards

Jon

-Tiru

Regards

Jon